Subject: Re: egcs 1.00
From: [email-masked] (Mumit Khan)

11 Dec 1997 21:02:44 -0800
Message-ID: <[email-masked]>
References: <c=US%a=INFONET%p=NESTLE%l=NESTLE/US01/[email-masked]>
To: "Buckingham,Mark,SOLON,NUSA" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>

"Buckingham,Mark,SOLON,NUSA" <[email-masked]> writes:
> 
> The command line never comes back.  I checked into it with ps, and it
> shows two copies of ld.exe running.
> 

Ah! I think I might know what the problem is. Looks like you're basically 
seeing the following problem:
    
    1. gcc calls collect2 (aka ld in gcc library directory)
    2. ld looks for the "real" ld and somehow finds itself and execs
       it (itself in this case). 
    3. Repeats 2.

On the other hand, the above I think can only happen under weird
circumstances. 

I'm assuming that $prefix/lib/gcc-lib/i386-cygwin32/egcs-2.90.21/  is
NOT in your path, right?

Could you send me the following info:

1. your PATH and othe GCC related environment vars
2. the output of the following:
   
   $ type -all ld.exe		### << if you're running bash 
   $ gcc -print-prog-name=ld
   $ gcc -v -o test.exe test.c -Wl,--verbose

Thanks
Mumit
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".